USE WORK.STD_LOGIC.ALL;
USE work.ALL;

entity adder1 is
    port (a,b, c_in: in t_wlogic; s, c_out: inout t_wlogic);
end adder1;
architecture adder1_xfr of adder1 is
    component nand2 
          port( a,b: in t_wlogic; z: inout t_wlogic); 
    end component;
    signal t1, t2, t3, t4, t5, t6, t7, t8, t9: t_wlogic;
begin
    i1: nand2 port map( a, b, t1 );
    i2: nand2 port map( a, t1, t2 );
    i3: nand2 port map( b, t1, t3 );
    i4: nand2 port map( t2, t3, t4 );
    i5: nand2 port map( c_in, t4, t5 );
    i6: nand2 port map( c_in, t5, t7 );
    i7: nand2 port map( t5, t4, t6 );
    i8: nand2 port map( t5, t1, c_out );
    i9: nand2 port map( t7, t6, s );
end adder1_xfr;

USE WORK.STD_LOGIC.ALL;
USE work.ALL;
entity adder1_top is
end adder1_top;

architecture adder1_top_xfr of adder1_top is
    component adder1 
          port( a, b, c_in: in t_wlogic; 
                s, c_out: inout t_wlogic); 
    end component;
    signal ta, tb, tc_in, ts, tc_out: t_wlogic;
begin
    a1: adder1 port map( ta, tb, tc_in, ts, tc_out );
    ta <= f0 after 1 ns when ta = f1 else f1 after 1 ns;
    tb <= f0 after 2 ns when tb = f1 else f1 after 2 ns;
    tc_in <= f0;
end adder1_top_xfr;

