
USE WORK.STD_LOGIC.ALL;
USE work.ALL;
entity mem1_top is
end mem1_top;

architecture mem1_top_sw of mem1_top is
    component mem1 
        port( H: inout t_wlogic; A, B, C, D: in t_wlogic);
    end component;
    signal sa, sc, sd, sh: t_wlogic := F0;
begin
    i0: mem1 port map(sh, sa, sc, sc, sd);
    sh <= d;
    sa <= r0, r1 after 1 ns, z1 after 2 ns, r0 after 7 ns, z0 after 8 ns,
          r1 after 9 ns, r0 after 11 ns, r1 after 15 ns, z1 after 17 ns;
    sc <= f0, f1 after 10 ns, f0 after 20 ns, f1 after 30 ns, f0 after 40 ns;
    sd <= f1;
end mem1_top_sw;

