use work.sympack.all;
use work.eislib_std.all;
entity STD_86 is
  generic(part_type:string);
  port(A1,B1,A2,B2,A3,B3,A4,B4: in logic7;
       Y4,Y3,Y2,Y1: out logic7);
  constant t1,t2,t3,t4: tp_values:= (0 ns, 0 ns, 0 ns);
end STD_86;
architecture A_STD86 of STD_86 is
  component EXOR2
    generic (d1,d3,d2,d4: tp_values);
    port (A,B: in logic4; Y: out logic4);
  end component;
begin
  U1:EXOR2 -- one of four instantiations
    generic map (t1,t3,t2,t4)
    port map (A => sense(A1), B => sense(B1), ttl_drive(Y) => Y1);
end A_STD86;
