use work.sympack.all;
use work.eislib_std.all;
entity FK_86 is
  port (NC_0: linkage logic7;
        P2,P3: in logic7;
        P4: out logic7;
        NC_1: linkage logic7;
        P6: in logic7;
        NC_2: linkage logic7;
        P8: in logic7;
        P9: out logic7;
        GND, NC_3: linkage logic7;
        P12: out logic7;
        P13,P14: in logic7;
        NC_4: linkage logic7;
        P16: out logic7;
        NC_5: linkage logic7;
        P18,P19: in logic7;
        VCC: linkage logic7);
end FK_86;
architecture i20x20 of FK_86 is
  component STD_86
    generic (part_type: string);
    port (A1,B1,A2,B2,A3,B3,A4,B4: in logic7;
          Y4,Y3,Y2,Y1: out logic7);
end component;
begin
  U1: STD_86
    generic map(part_type => "SN54LS86A")
    port map (A1 => P2, B1 => P3, Y1 => P4, A2 => P6,
              B2 => P8, Y2 => P9, Y3 => P12, A3 => P13,
              B3 => P14, Y4 => P16, A4 => P18, B4 => P19);
end i20x20;
