use work.utilpack.all;
use work.sympack.all;
entity EXOR2 is
-- (c)copyright Albatec - 1990
-- 2-input exclusive-or gates
-- April 1990
-- Initial Release
-- TPD_Handling and tc are deferred constants declared
-- in the sympack package.
     generic (t1: tp_values := (26 ns, 75 ns, 150 ns); -- tplh_low
              t3: tp_values := (21 ns, 60 ns, 150 ns); -- tphl_low
              t2: tp_values := (18 ns, 50 ns, 90 ns); -- tplh_high
              t4: tp_values := (12 ns, 35 ns, 60 ns)); -- tphl_high

     port (A,B: in logic4;
           Y: out logic4);
end EXOR2;
--
architecture BEHAVIOR of EXOR2 is
begin
-- compute the output value
-- with timing selection if required
  Y <= e_xor(A)(B) when not TPD_Handling else
       e_xor(A)(B) after t86(A,B,t1(tc),t2(tc),t3(tc),t4(tc));
end BEHAVIOR; 
