--
-- Figure 7.12.  Use of Variable to Store Driving Value
-- Taken from "Applications of VHDL to Circuit Design", page 215
--
-- Ken Scott
-- January 29, 1991
--
-- Modifications:
-- 1) Making the example self-contained.
-- 

entity test is
  port( clock : in bit; out_sig : out bit );
end test;

architecture use_variables of test is
begin
  process( clock )
    variable out_int : bit;
  begin
    out_sig <= not out_int;
    out_int := not out_int;
  end process;
end use_variables; 
--


