--
-- Figure 7.20.  Case Statement Using Slices
-- Taken from "Applications of VHDL to Circuit Design", page 227
--
-- Ken Scott
-- January 29, 1991
--
-- Modifications:
-- 1) Making the example self-contained.
-- 

entity e is
  port( instr : bit_vector( 31 downto 0 ));
end e;

architecture a of e is
begin
  process(instr)
    subtype opcode is bit_vector( 7 downto 0 );
  begin
    case opcode'(instr( 31 downto 24 )) is
    when b"11111111" => -- add;
    when b"11111110" => -- subtract;
    when others      => -- report an error;
    end case;
  end process;
end a;

--


