PACKAGE scientific IS
--
--
--funciton for square root
--
   FUNCTION sqrt( x: real ) RETURN real;

--
--
--funciton for sine
--
   FUNCTION sin( x: real ) RETURN real;
--
END scientific;


PACKAGE BODY scientific IS
--
--
--funciton for square root
--
   FUNCTION sqrt( x: real ) RETURN real IS

     VARIABLE  sqrtx : real;

   BEGIN
	 IF x = 0.0 THEN
	   RETURN 0.0;
	 ELSE
	   sqrtx := x;
	   FOR i IN 1 TO 20 LOOP
	     sqrtx := (sqrtx + (x/sqrtx)) * 0.5;
	   END LOOP;
	 END IF;
	 RETURN sqrtx;
   END sqrt;
--
--
--funciton for sine
--
   FUNCTION sin( x: real ) RETURN real IS

     VARIABLE  sinx, x2, xtemp : real;
     TYPE const_array IS ARRAY (1 to 12) of real;
     CONSTANT fact_array : const_array := (6.0, 		-- 3!
					   120.0,		-- 5!
					   5040.0,		-- 7!
					   362880.0,		-- 9!
					   39916800.0,		-- 11!
					   6.22702e9,		-- 13!
					   1.307674e12, 	-- 15!
					   3.556874e14, 	-- 17!
					   1.216451e17, 	-- 19!
					   5.109094e19, 	-- 21!
					   2.585201e22, 	-- 23!
					   1.551121e25);	-- 25!
   BEGIN
	 x2 := x**2;
	 xtemp := x;
	 sinx := x;
	 FOR i IN fact_array'RANGE LOOP
	   xtemp := xtemp * x2;
	   IF (i rem 2) = 1 THEN
	     sinx := sinx - (xtemp / fact_array(i));
	   ELSE
	     sinx := sinx + (xtemp / fact_array(i));
	   END IF;
	 END LOOP;
	 RETURN sinx;
   END sin;
--
END scientific;
