--
-- Figure 7.11.  Using a Temporary Signal to Read Driving Value
-- Taken from "Applications of VHDL to Circuit Design", page 214
--
-- Ken Scott
-- January 29, 1991
--
-- Modifications:
-- 

entity test is
  port( clock : in bit; out_sig : out bit );
end test;

architecture read_out of test is
  signal out_tmp : bit;
begin
  process( clock )
  begin
    out_tmp <= not out_tmp;
    -- Can read driving value we contribute to out_sig.
  end process;
  out_sig <= out_tmp;
end read_out; 
--


