--
-- Taken from "Applications of VHDL to Circuit Design", page 218
--
-- Ken Scott
-- January 29, 1991
--
-- Modifications:
-- 1) Made the example self-contained.
-- 

entity test_good is
  port( clk, D  : in  bit;
        Q, QB   : out bit );
end test_good;

architecture a of test_good is
begin
  bgood:block ((clk = '1') and (not clk'stable))
  begin
    Q  <= guarded D;
    QB <= guarded not D;
  end block bgood;
end a;

entity test_bad is
  port( clk, D  : in  bit;
        Q, QB   : out bit );
end test_bad;

architecture a of test_bad is
begin
  bbad:block ((clk = '1') and (clk'event))
  begin
    Q  <= guarded D;
    QB <= guarded not D;
  end block bbad;
end a;

